in scala.xml
class UnprefixedAttribute

`class` UnprefixedAttribute
  `extends` scala.xml.MetaData
  `with` scala.ScalaObject

  unprefixed attributes have the null namespace, and no prefix field

Constructor Summary
| `def` this (key: java.lang.String, value: java.lang.String, next: scala.xml.MetaData) same as this(key, Utility.parseAttributeValue(value), next)
| `def` this (key: java.lang.String, value: scala.Seq[scala.xml.Node], next1: scala.xml.MetaData)

Val Summary
| `val` key : java.lang.String
| `val` next : scala.xml.MetaData
| `val` value : scala.Seq[scala.xml.Node]

Def Summary
| `def` apply (key: java.lang.String) : scala.Seq[scala.xml.Node] Gets value of unqualified (unprefixed) attribute with given key, null if not found
| `def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.Seq[scala.xml.Node] Forwards the call to next (because caller looks for prefixed attribute).
| `def` copy (next: scala.xml.MetaData) : scala.xml.UnprefixedAttribute returns a copy of this unprefixed attribute with the given next field
| `def` equals1 (m: scala.xml.MetaData) : scala.Boolean
`final` | `def` getNamespace (owner: scala.xml.Node) : java.lang.String returns null
`override` | `def` hashCode : scala.Int returns the hashcode.
`final` | `def` isPrefixed : scala.Boolean returns false
| `def` remove (key: java.lang.String) : scala.xml.MetaData
| `def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String) : scala.xml.MetaData
| `def` toString1 (sb: scala.compat.StringBuilder) : scala.Unit appends string representation of only this attribute to stringbuffer
| `def` wellformed (scope: scala.xml.NamespaceBinding) : scala.Boolean

Def inherited from scala.xml.MetaData
append , apply, apply, apply, containedIn1, copy, elements, equals, equals1, filter, get, get, get, getNamespace, hasNext, hashCode, isPrefixed, key, length, length, map, next, remove, remove, remove, toString, toString, toString1, toString1, value, wellformed

Constructor Detail

`def` this (key: java.lang.String, value: java.lang.String, next: scala.xml.MetaData)

  same as this(key, Utility.parseAttributeValue(value), next)

`def` this (key: java.lang.String, value: scala.Seq[scala.xml.Node], next1: scala.xml.MetaData)

Val Detail

`val` key : java.lang.String

`val` next : scala.xml.MetaData

`val` value : scala.Seq[scala.xml.Node]

Def Detail

`def` apply (key: java.lang.String): scala.Seq[scala.xml.Node]

  Gets value of unqualified (unprefixed) attribute with given key, null if not found

Parameters:
  `key -`
Returns:
  value as Seq[Node] if key is found, null otherwise

`def` apply (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.Seq[scala.xml.Node]

  Forwards the call to next (because caller looks for prefixed attribute).

Parameters:
  `namespace -`
Parameters:
  `scope -`
Parameters:
  `key -`
Returns:
  ..

`def` copy (next: scala.xml.MetaData): scala.xml.UnprefixedAttribute

  returns a copy of this unprefixed attribute with the given next field

`def` equals1 (m: scala.xml.MetaData): scala.Boolean

`final def` getNamespace (owner: scala.xml.Node): java.lang.String

  returns null

`override def` hashCode : scala.Int

  returns the hashcode.

`final def` isPrefixed : scala.Boolean

  returns false

`def` remove (key: java.lang.String): scala.xml.MetaData

`def` remove (namespace: java.lang.String, scope: scala.xml.NamespaceBinding, key: java.lang.String): scala.xml.MetaData

`def` toString1 (sb: scala.compat.StringBuilder): scala.Unit

  appends string representation of only this attribute to stringbuffer

`def` wellformed (scope: scala.xml.NamespaceBinding): scala.Boolean